/**
 * INPUT FIELD
 *
*/
.rtds-input-field {
    display: grid;
    align-content: flex-start;
}
.rtds-input-field__label {
    display: block;
    font-size: var(--fontsize-text-sm);
        color: var(--color-content-03);
    font-weight: 700;
}
legend:where(.rtds-input-field__label) {
    margin-bottom: var(--spacing-1);
}
.rtds-input-field__hint {
    display: grid;
}
.rtds-input-field__error {
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
        color: var(--color-content-error);
}
.rtds-input-field__description {
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
        color: var(--color-content-03);
}
.rtds-input-field.has-error input {
    border-width: 2px;
    border-color: var(--color-error-dark);
}
/* DISABLED STATE */
:where(.rtds-input-field--disabled) .rtds-input-field__label,
    :where(.rtds-input-field--disabled) .rtds-input-field__description {
        color: var(--color-content-disabled);
    }
/* INPUT FIELD INLINE */
.rtds-field-inline {
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
}
.rtds-field-inline .rtds-input,
    .rtds-field-inline .rtds-select {
    flex: 1 1 0%;
}
